Page MenuHomePhabricator

GWToolset silently wraps some fields into MediaWiki templates, which is problematic
Closed, ResolvedPublic

Description

The GWToolset silently wraps the content of Institution field in {{Institution:}} and artist in {{Creator:}}.

This is problematic because:

1/ It does not say so, which is surprising for the user who might not expect to see red templates on the results page (as said templates will probably not exist).

2/ It is sometimes uncalled for. Artist might be values not appropriate for Creator templates like "Unknown", or a local craftsman.

Not sure what the best way forward is. At the very least this should be documented on the interface (I can submit a patch for that).
Tickbox to wrap the field (or to not wrap it for that matter)?


Version: unspecified
Severity: normal

Details

Reference
bz64060

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:14 AM
bzimport set Reference to bz64060.
JeanFred created this task.Apr 17 2014, 3:08 PM
  • Bug 64851 has been marked as a duplicate of this bug. ***

Change 133041 had a related patch set uploaded by Dan-nl:
Make template wrapping optional.

https://gerrit.wikimedia.org/r/133041

Change 133041 abandoned by Dan-nl:
Make template wrapping optional

Reason:
having a problem merging https://gerrit.wikimedia.org/r/#/c/133041/ and
https://gerrit.wikimedia.org/r/#/c/133293/. the two are related so will put them into one patch instead.

https://gerrit.wikimedia.org/r/133041

Created attachment 15397
test metadataset

Attached:

Created attachment 15398
test metadata mapping

Attached:

This is an important bug: it is still impossible to use a simple author-field (without template). Hansmuller

the patch has been deployed to production. are you okay with closing this bug now?

Yes, the GWToolset now gives the option to not wrap. Closing as fixed.

Gilles triaged this task as Unbreak Now! priority.Dec 4 2014, 10:11 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Needs Triage.Dec 4 2014, 11:23 AM